/**
 * dispHidden
 * 
 * ctrlキー2回押しで<input type="hidden" /> の値を表示してくれるライブラリ
 * 
 * @author       yakumo_x (http://twitter.com/yakumo_x)
 * @copyright    (c) 2011 quoit
 * @license      The MIT License
 * @link         http://quoit.jp/
 * @version      $Rev$
 *
 * $Date$
 */
 
$(function(){
	var t=$("input[type=hidden]");
	var flag = 0;

	var disp = function(e){
		if(e.keyCode==17){
			if(flag==1){
				t.each(function() {
					target=$(this);
					var val = target.attr("value");
					var name = target.attr("name");

					$(".hiddenVals").remove();
				});
				flag=0;
			}else{
				t.each(function() {
					target=$(this);
					var val = target.attr("value");
					var name = target.attr("name");

					target.after("<div class='hiddenVals'>[name] "+name+"<br />[value] "+val+"</div>");
				});
				flag=1;
			}
		}
	}

	$(window).keydown(function(e){
		if(e.keyCode==17){
			$(window).bind("keydown",disp);
			setTimeout(function(){ $(window).unbind("keydown",disp); },500);
		}
	});
});